Subject: Re: Audio codec device tree entries

From: Segher Boessenkool <[email-masked]>
Date: Tue, 23 Oct 2007 18:56:04 +0200

>> First example is ac97 audio:
>>
>> ac97@2000 {           // PSC1

> I think the codec node should be a child of this node, not a separate 
> node.
> Then there should be another codec node as a child of the i2c node.

AC'97 codecs don't typically have an I2C connection (if ever).

You shouldn't have two device nodes for the same device if ever you
can help it; instead, have the device's sole device node contain a
property that points to the device node of its secondary bus.  That
property could be called "i2s-handle" for a standard codec (which
probably is a direct child of an IIC bus, itself).

Segher